Skip to main content

Quick Start Guide

Get started with ClearBounce API in under 5 minutes.

Step 1: Get Your API Key​

  1. Sign up or log in to ClearBounce
  2. Navigate to API section in your dashboard
  3. Copy your API key (starts with cb_live_)
Keep Your API Key Secure

Never expose your API key in client-side code or public repositories.

Step 2: Make Your First Request​

Using cURL​

curl -X POST https://api.clearbounce.net/api/v1/verify \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{"email": "test@example.com"}'

Using JavaScript​

const response = await fetch('https://api.clearbounce.net/api/v1/verify', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
body: JSON.stringify({ email: 'test@example.com' })
});

const result = await response.json();
console.log(result);

Using Python​

import requests

response = requests.post(
'https://api.clearbounce.net/api/v1/verify',
headers={
'Content-Type': 'application/json',
'X-API-Key': 'YOUR_API_KEY'
},
json={'email': 'test@example.com'}
)

result = response.json()
print(result)

Using PHP​

<?php
$ch = curl_init();

curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.clearbounce.net/api/v1/verify',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POST => true,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'X-API-Key: YOUR_API_KEY'
],
CURLOPT_POSTFIELDS => json_encode(['email' => 'test@example.com'])
]);

$response = curl_exec($ch);
$result = json_decode($response, true);

print_r($result);

Step 3: Understand the Response​

{
"success": true,
"data": {
"email": "test@example.com",
"status": "deliverable",
"subStatus": "accepted_email",
"reason": "accepted_email",
"score": 95,
"isDeliverable": true,
"toxicity": 0,
"checks": {
"syntax": true,
"mxRecords": true,
"smtpValid": true,
"isDisposable": false,
"isRoleBased": false,
"isFreeProvider": false,
"isCatchAll": false,
"account": {
"fullMailbox": false,
"disabled": false
}
},
"meta": {
"domain": "example.com",
"localPart": "test",
"mxHost": "mail.example.com",
"provider": "example.com",
"dnsType": "MX",
"processingTimeMs": 342
},
"riskFactors": []
},
"creditsRemaining": 999
}

Key Response Fields​

FieldDescription
statusOverall result: deliverable, undeliverable, risky, unknown
reasonHuman-friendly reason for the result (same as subStatus)
scoreDeliverability score from 0-100
isDeliverableBoolean indicating if email is deliverable (true only for deliverable status)
toxicityToxicity score from 0-5
meta.providerEmail service provider
meta.dnsTypeDNS record type used (MX or A)
checks.account.fullMailboxWhether mailbox is full
checks.account.disabledWhether account is disabled

What's Next?​